/*
| ESPACIO G
| style.css - Versión 2.0
| 03/04/2022
*/

@import url(https://fonts.googleapis.com/css?family=Montserrat:100,200,300,regular,500,600,700,800,900,100italic,200italic,300italic,italic,500italic,600italic,700italic,800italic,900italic);

@font-face {
    font-family: 'coresans-black';
    src: url('../fonts/CoreSansG-Black.ttf');
}

@font-face {
    font-family: 'coresans-bold';
    src: url('../fonts/CoreSansG-Bold.ttf');
}

@font-face {
    font-family: 'coresans-heavy';
    src: url('../fonts/CoreSansG-Heavy.ttf');
}

@font-face {
    font-family: 'coresans-regular';
    src: url('../fonts/CoreSansG-Regular.ttf');
}

@font-face {
    font-family: 'montserrat-extrabold';
    src: url('../fonts/Montserrat-ExtraBold.ttf');
}

@font-face {
    font-family: 'myriadpro';
    src: url('../fonts/MyriadPro-Regular.otf');
}

@font-face {
    font-family: 'arcon';
    src: url('../fonts/arcon.regular.otf');
}


* {
    box-sizing: border-box;
  }

body{display:none;}

body,
html {
    font-family: 'Montserrat', Arial, Helvetica, sans-serif;
    height: 100vh;
    margin: 0;
    padding: 0;
    min-height: 100vh;
    background-color: #1C294F;
}




.mason{
    column-count: 5;
    display:flex;
    gap: 25px;
    flex-wrap: wrap;
    max-height: 100vh;
    height: 90vh;
}
.mason div{
    flex-grow: 1;
}

.mason img{
    width: 100%;
    object-fit: cover;
    height: 100%;
    max-height: 28vh;
    cursor: pointer;    
}

.mason_normal{
    /*
    width: 100%;
    object-fit: contain !important;
    height: auto !important;
    */

}

.mason_center img{
    object-fit: contain;
}

.mason_center{
    place-items: center;
    display: grid;
    /*
    min-width: 28vw;
    */
    min-width: 18vw;
}

.masonry {
	column-count: 4;
	column-gap: 16px;
   
}

.masonry .mItem {
  display: inline-block;
  margin-bottom: 16px;
  width: 100%;
}


html{
    min-height: 100vh;
}

#nav {
    position: fixed;
    top: 0;
    bottom: 0;
    overflow: auto;
    width: 150px;
    height: 100%;
}

.loading {
    color: #fff;
    font-size: 2.3em;
    letter-spacing: -3px;
    background-color: #162241;
    padding: 0.1em 2em;
    border-radius: 0.2em;
    cursor: pointer;
}

img {
    display: block;
}

.h100percent {
    height: 100vh !important;
    max-height: 100vh !important;
}

.hauto {
    height: auto;
    max-height: 100%;
}

/* PANTALLAS */

.hide {
    display: none !important;
}

.noselectable {
    -webkit-user-drag: none;
    -khtml-user-drag: none;
    -moz-user-drag: none;
    -o-user-drag: none;
    user-select: none;
    user-drag: none;
}

img {
    -webkit-user-drag: none;
    -khtml-user-drag: none;
    -moz-user-drag: none;
    -o-user-drag: none;
    user-select: none;
    user-drag: none;
}


.slide {
    position: absolute;
    top: 0;
    width: 100%;
    height: 100%;
    display: grid;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.no-seleccionable {
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}


#inicio {
    background-image: url('../assets/fondo_sintexto.jpg');
}

#landing{
    /*
    background-image: url('../assets/fondo_sintexto.jpg');
    */
    background-color: #1A2850;
}

#segunda {
    background-image: url('../assets/fondo_sintexto2.jpg');
}

#tercera {
    background-image: url('../assets/fondo_tercera.jpg');
}

#cuarta {
    background-image: url('../assets/fondo_tercera.jpg');
}

#quinta {
    background-image: url('../assets/fondos_sintexto3.jpg');
}

.fondo_casas {
    background-image: url('../assets/fondo_tercera.jpg');
}

.maincards {
    background-color: #11101de8;
    background-color: #222862e6;
    padding: 2em;
    display: grid;
    display: block;
    cursor: pointer;
}

.maincards h1 {
    font-family: 'coresans-bold';
    font-size: 4em;
    color: #fff;
    color: #E1D9D9;
    border-bottom: 1px solid #fff;
    width: fit-content;
    text-align: center;
    margin: auto;
    margin-bottom: 1em;
    font-size: calc(1em + 2vw);
}

.maincards p {
    font-family: 'coresans-regular';
    color: #fff;
    text-align: justify;
}

.jumped {
    z-index: 10000;
}

#modalback {
    background-color: #000000ba;
    width: 100%;
    height: 100%;
    z-index: 8000;
    position: absolute;
    cursor: pointer;
    display: grid;
    place-items: center;
    justify-content: center;
}

.nopoint {
    pointer-events: none;
}

#modalback span {
    font-size: 3em;
    font-weight: 600;
    color: #fff;
    position: absolute;
    top: 1em;
    left: 1em;
    z-index: 10000;
}



/* TAGS */

.logotag {
    position: absolute;
    top: 0em;
    right: 1em;
    width: 300px;
}


.rotate {
    transform: rotate(-90deg);
    /* Legacy vendor prefixes that you probably don't need... */
    /* Safari */
    -webkit-transform: rotate(-90deg);
    /* Firefox */
    -moz-transform: rotate(-90deg);
    /* IE */
    -ms-transform: rotate(-90deg);
    /* Opera */
    -o-transform: rotate(-90deg);
    /* Internet Explorer */
    filter: progid:DXImageTransform.Microsoft.BasicImage(rotation=3);
}

.menu {
    position: absolute;
    background-color: #ff0;
    background-color: #1C2B4B;
    color: #000;
    width: 200px;
    height: 100%;
    left: 0px;
    top: 0px;
    writing-mode: vertical-lr;
    transform: rotate(180deg);
    padding: 1em;
    display: grid;
    align-items: center;
}

.menu li {
    font-family: 'coresans-bold';
    display: inline;
    padding: 1em 0em;
    font-size: 1.5em;
    font-weight: 400;
    color: #fff;
    border-top: 1px solid #fff;
    padding: 1em 1.5em;
}

.logovertical {
    position: absolute;
    bottom: 0px;
    transform: rotate(180deg);
}

.fondomenu {
    position: absolute;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0);
    z-index: 20000;
}


#hamburgermenu {
    position: absolute;
    width: 60px;
    height: 60px;
    background-color: #1C2B4C;
    color: #fff;
    display: grid;
    place-items: center;
    font-size: 1.66em;
    cursor: pointer;
    z-index: 2;
}


#backmenu{
    position: absolute;
    width: 60px;
    height: 60px;
    background-color: #1C2B4C;
    color: #fff;
    display: grid;
    place-items: center;
    font-size: 1.66em;
    cursor: pointer;
    left: 2.5em;
    z-index: 2;
}

.tercera_menu {
    display: grid;
    place-items: center;
    transition: all 0.33s ease-out;
}

.tercera_menu_botones {
    position: absolute;
    max-width: initial;
    cursor: pointer;
}

.tercera_infotab {
    width: 100%;
    height: 100%;
    background-color: #000000cf;
    position: absolute;
    top: 0;
    left: 0;
    display: grid;
    align-items: center;
    cursor: pointer;
}

.justify-right {
    justify-content: right;
}

.fijo {
    position: absolute;
    top: 0px;
    left: 0px;
    width: 100%;
}

.hideoverflow {
    overflow: hidden;
}


#timeline {
    width: 1920px;
}

#quinta h1 {
    font-weight: 600;
    font-size: 8em;
    color: #fff;
    font-family: 'coresans-bold';
}

#quinta h2 {
    color: #fff;
    font-size: 1.6em;
    font-family: 'coresans-bold';
}

.social {
    font-size: 2em;
    display: grid;
    grid-template-columns: 65px 65px 65px;
}

/* LAYOUT */

.layout3 {
    display: grid;
    grid-template-columns: 1fr 6fr 1fr;
    grid-gap: 2em;
    width: 100%;
    overflow: hidden;
    height: calc(100vw * 0.4);
    grid-template-areas: "a"
                          "b"
                          "c";
}

.layout0{
    display: grid;
    grid-template-columns: 1fr;
    grid-gap: 2em;
    width: 100%;
    overflow: hidden;
    height: calc(100vw * 0.4);
}

.layout1 {
    display: grid;
    grid-template-columns: 55% 45%;
    grid-gap: 2em;
    width: 100%;
    overflow: hidden;
    height: calc(100vw * 0.4);
}

.layout1_left {
    display: grid;
    grid-template-rows: auto auto;
    grid-gap: 2em;
    overflow: hidden;
}

.layout1_col2 {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-gap: 2em;
    overflow: hidden;
}

.layout1_col3 {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-gap: 2em;
    overflow: hidden;
}


.layout1_col4 {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    grid-gap: 2em;
    overflow: hidden;
}

.layout1_col5 {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
    grid-gap: 2em;
    overflow: hidden;
}

.layout1_col6 {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr 1fr;
    grid-gap: 2em;
    overflow: hidden;
}

.layout_col1 {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: auto auto auto;
    grid-gap: 2em;
    overflow: hidden;
}


.layout1_right {
    display: grid;
    grid-template-rows: 0.2fr auto 1fr;
    grid-gap: 2em;
    overflow: hidden;
}

.layout1_hero {
    overflow: hidden;
}

.pad {
    padding: 4rem;
    padding: 0rem 4rem;
}

.square {
    width: 100%;
    object-fit: cover;
    aspect-ratio: 1 / 1;
}

.rect {
    width: 100%;
    object-fit: cover;
    aspect-ratio: 1.5 / 1;
}

.landscape {
    width: 100%;
    object-fit: cover;
    aspect-ratio: 21 / 9;
}

.portrait {
    /*
    width: 100%;
    object-fit: cover;
    aspect-ratio: 3 / 2;
    */
    /* overlord */
    height: 100%;
    object-fit: contain;
    margin: auto;
}

.layout_title {
    font-family: 'montserrat-extrabold';
    font-size: 8rem;
    font-size: calc(1em + 4vw);
}


.modal_image {
    max-height: 90vh;
}

#quinta_right{
    display: grid;
    justify-content: center;
    align-items: center;
}


#contact_form {
    background-color: #D9D9D9;
    display: grid;
    justify-content: center;
    place-items: center;
    margin: auto;
    width: 80%;
    min-width: 500px;
    box-sizing: border-box;
    padding: 2em;
}

#contact_form h2{
    color: #E9691F;
    padding-bottom: 1em;
}

#contact_form input, #contact_form textarea{
    width: 100%;
    margin: auto;
    height: 4em;
    margin-bottom: 1em;
    padding: 0em 1em;
    box-sizing: border-box;
    border: 1px solid #666666;
}

#contact_form textarea{
    height: 8em;
    padding: 1em 1em;
}

#contact_form input[type=submit] {
    background-color: #39465F;
    color: #fff;
}

.showinmobile{
    display:none;
}

.hideinmobile{
    display: unset;
}


.z1{ z-index: 1;}
.z2{ z-index: 2;}
.z3{ z-index: 3;}

.hero_mason{
    width: 100%;
    height: 100%;
    min-height: 20vh;
}

@media (max-width: 1600px) {
    .logotag{
        display:none;
    }
    .menu li {
        font-size: 1.2em;
    }
    .logovertical {
        height: 200px;
    }
}

@media (max-width: 1199px) {

    .masonry {
      column-count: 3;
    }
  }
  
  @media (max-width: 991px) {
    .masonry {
      column-count: 2;
    }
  }
  
  @media (max-width: 767px) {
    .masonry {
      column-count: 1;
    }

    .h-full {
        padding-top: 10rem;
    }
  }
  

@media (max-width: 1600px) {
    .tercera_menu {
        transition: all 0.33s ease-out;
        transform: scale(0.7);
    }

    #quinta h1 {
        font-size: 5em;
    }

    .qr {
        width: 12rem;
    }
}


/* ************************************* MOBILE */
@media (max-width: 1024px) {

    .showinmobile{
        display: unset;
    }

    .hideinmobile{
        display: none;
    }


    .grid {
        display: block;
        display: grid;
        grid-template-columns: 1fr;
    }

    .px-10 {
        padding-left: 2.5rem;
        padding-right: 2.5rem;
        padding-top: 4em;
    }

    .tercera_menu {
        transition: all 0.33s ease-out;
        transform: scale(0.5);
    }

    .layout1 {
        height: auto;
    }

    .hideoverflow {
        overflow: auto;
    }

    .logotag {
    display: none;
    }

    #quinta h1 {
        font-size: 2.5em;
    }
    #quinta h2 {
        font-size: 1rem;
    }
    #contact_form {
        width: 100%;
        min-width: auto;
        margin-top: 4em;
    }

    .menu {
        position: absolute;
        background-color: #1C2B4B;
        color: #000;
        width: 100%;
        height: 100%;
        left: 0px;
        top: 0px;
        writing-mode: unset;
        transform: rotate(0deg);
        padding: 1em;
        display: grid;
        align-items: center;
        text-align: center;
    }
    .menu li {
        display: block;
        font-size: 1.5em;
        font-weight: 400;
        color: #fff;
        border-top: unset;
        padding: 1em 1.5em;
        line-height: 2.5rem;
        width: 100%;
    }
    .slide {
        height: auto;
        height: inherit;
    }
    .maincards h1 {
        font-size: 2.4em;
    }
    #antecedentes_mobile {
        padding-top: 4em;
        padding-bottom: 20rem;
    }

    #antecedentes_mobile h1{
        font-family: 'coresans-bold';
        font-size: 2.3em;
        color: #fff;
        line-height: 2em;
    }

    /* mobile layouts */

    /*
    .layout1 {
        display: grid;
        grid-template-columns: 1fr;
        grid-gap: 2em;
        width: 100%;
        overflow: auto;
        height: 100%;
      }
      */

      .layout1 {
        display: flex;
        grid-gap: 2em;
        width: 100%;
        overflow: auto;
        height: 100%;
        flex-direction: row;
        flex-wrap: wrap;
      }

      .reversedinmobile{
        flex-direction: column-reverse;
      }

      .hideoverflow {
        overflow: auto;
      }
      .layout3 {
        display: grid;
        grid-template-columns: 1fr;
        grid-gap: 2em;
        width: 100%;
        overflow: auto;
        height: 100%;
    }
    .layout3 .area:nth-child(1) { grid-area: b; }
    .layout3 .area:nth-child(2) { grid-area: a; }
    .layout3 .area:nth-child(3) { grid-area: c; }


    .layout1_col3 {
        grid-template-columns: 1fr 1fr;
    }


    .layout1_col4 {
        grid-template-columns: 1fr 1fr;
    }

    .layout1_col5 {

        grid-template-columns: 1fr 1fr 1fr;
    }

    .layout1_col6 {

        grid-template-columns: 1fr 1fr 1fr 1fr;
    }

}